<?php // Register Menus and Widgetised areas

// Menus
function register_menus() {
    register_nav_menus(
        array(
            'main-nav'          => ( 'Header - Main' ),
            'mobile-nav'        => ( 'Mobile - Main' ),
            // 'header-top'        => ( 'Header - Top' ),
            'footer-nav'    => ( 'Footer' )
        ),
    );
}
add_action( 'init', 'register_menus' );

// Sidebars
register_sidebar( array(
    'name'          => 'Blog Sidebar',
    'id'            => 'blog-sidebar',
    'description'   => 'Sidebar area for blog',
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget'  => '</div>',
    'before_title'  => '<h3 class="widget-title">',
    'after_title'   => '</h3>',
) );

// Footer Widget area
register_sidebar( array(
    'name'          => 'Footer Area',
    'id'            => 'footer-area',
    'description'   => 'Appears in the footer area',
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget'  => '</div>',
    'before_title'  => '<h3 class="widget-title">',
    'after_title'   => '</h3>',
) );
