<?php
$post_id = $args['event_id'];
$next_date = $args['next_date']; ?>

<article class="event-preview">
    <div class="inner">

        <?php 
        $date_today = strtotime(date("Y/m/d"));
        $fields = get_fields($post_id);
        $title = get_the_title($post_id);
        $featured_image = isset($fields['featured_image']) ? $fields['featured_image'] : null;
        $summary = $fields['event_summary'];
        $series = $fields['is_event_series'];
        $link = get_the_permalink($post_id); ?>

        <?php if($featured_image) { ?>
            <div class="featured-img">
                <img class="featured" src="<?php echo $featured_image; ?>" alt="<?php echo $title; ?>" />
                <span class="img-overlay"></span>
                <a href="<?php echo $link; ?>"></a>
            </div>
        <?php } ?>
        
        <div class="content">
            <?php if($series == true) { ?>
                <span>Multiple Dates</span>
            <?php } ?>
            <span class="date">Next: <?php echo date("D, jS M Y", strtotime($next_date)); ?></span>
            <span class="time"><?php echo date("g:ia", strtotime($next_date)); ?></span>
            <h1><?php echo $title; ?></h1>
            <p><?php echo $summary; ?></p>   
            <a class="btn btn__link" href="<?php echo $link; ?>"><span class="btn__text">Book now</span></a>
        </div>

    </div>
</article>