<?php if(function_exists('the_custom_logo')) { 
    if(has_custom_logo()) {
        $custom_logo_id = get_theme_mod('custom_logo');
        $logo = wp_get_attachment_image_src($custom_logo_id, 'full' ); 
        $file_type = pathinfo($logo[0]); ?>

        <div class="site-logo">
            <?php if($file_type['extension'] == "svg") {
                echo '<a href="' . home_url() . '" class="logo_link">' . file_get_contents($logo[0]) . '</a>';
            } else {
                the_custom_logo();
            } ?>
        </div>

    <?php } else {
        if(display_header_text() == true) { ?>
        <div class="site-logo">
            <a href="<?php echo home_url(); ?>" class="title"><?php bloginfo('name'); ?></a>
        </div>
        <?php }
    } 
}