<?php

// require($_SERVER['DOCUMENT_ROOT'] . '/../vendor/autoload.php');
require($_SERVER['DOCUMENT_ROOT'] . '/wp/wp-load.php');

$json_data = file_get_contents('php://input');
$contact_data = json_decode($json_data, true);

$fname = $contact_data['data']['firstname'] ?? null;
$lname = $contact_data['data']['lastname'] ?? null;
$email = $contact_data['data']['email'] ?? null;
$zip = $contact_data['data']['zip'] ?? null;
$polis_survey_id = $contact_data['data']['polis_survey_id'] ?? null;

$contact = [
    'firstname'         => $fname,
    'lastname'          => $lname,
    'email'             => $email,
    'zip'               => $zip,
    'polis_survey_id'   => $polis_survey_id,
];
$hubspot_contact = 400;

if($contact_data) {
    $hubspot_contact = hubspot_create_contact($contact);

}

echo json_encode($hubspot_contact);